#
# spec file for package  csh-dummy (Version 1.0)
#
# norootforbuild

Name:		csh-dummy
Summary:	A "dummy-package" to circumvent obsolete requires for csh
License:	Public domain
Group:		Metapackages
Version:	1.0
Release:	9.3
Source0:	README
Requires:	tcsh
Provides:	csh
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildArch:	noarch

%description
This is a "dummy-package" to circumvent obsolete requires for csh in newer SuSE-versions.

Some Packages (i.e. Printer Drivers from Brother Inc.) require the package "csh", which has become obsolete some time ago, as the csh is now located in the package "tcsh".

To circumvent installing rpm-Packages requiring csh with the "evil" switch "--nodeps", this "package" can be installed.

This "package" is just an empty RPM, which registers the "package" csh in the rpm-database. It requires the package "tcsh" installed to correctly satisfy the requires for the C-shell on newer SuSE-versions.


%prep
cp %{SOURCE0} .

%build
#nothing to do

%install
# nothing to do

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README

%changelog
* Sun Jan 17 2010 axel@links2linux.de
- moved to packman repository
- renamed to csh-dummy
- added csh as Provides
* Fri Sep 18 2009 AxelKoellhofer@web.de
- package moved to OBS
- added "README" (mostly, because OBS does not allow building of "empty" packages)
* Wed Sep 12 2007 AxelKoellhofer@web.de
- initial package, version 1.0 
